Bug 240900 - Inappropriate ioctl for device when running CA.pl -newca
Summary: Inappropriate ioctl for device when running CA.pl -newca
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-22 18:41 UTC by Peter DeVries
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 12:52:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter DeVries 2007-05-22 18:41:41 UTC
Description of problem:

Inappropriate ioctl for device when running CA.pl

Version-Release number of selected component (if applicable):

openssl-devel-0.9.8b-8.3.fc6
openssl-perl-0.9.8b-8.3.fc6
openssl-0.9.8b-8.3.fc6

How reproducible:

Constant

Steps to Reproduce:
1. strace /etc/pki/tls/misc/CA.pl -newca
2.
3.
  
Actual results:

without strace result is that you are returned to a prompt.  With strace you can
see that it dies with Inappropriate ioctl for device.


Expected results:

Should be prompted to start CA creation

Additional info:

Comment 1 Tomas Mraz 2007-05-23 11:23:59 UTC
Can you please attach the strace?


Comment 2 Tomas Mraz 2007-05-23 11:39:48 UTC
I see that this (immediate return to prompt after running the command) happens
when the CA directory hierarchy is already filled with something. Also note,
that the CA.pl script should be run with cd to the directory /etc/pki/tls/misc
as it is writing the hierarchy to ../../CA.


Comment 3 Peter DeVries 2007-05-23 12:34:26 UTC
Tomas, You are correct.  This only happens when the CA directory is full. 
Sorry, I was sure I had tested this on another system but apparently there was
an error in my testing.

Comment 4 Tomas Mraz 2007-05-23 12:52:33 UTC
The CA and CA.pl scripts would really appreciate some patch love but this should
be done upstream.



Note You need to log in before you can comment on or make changes to this bug.